<cfset stats = application.stats.getStats(userSessionID=url.userSessionID,gamename=url.gamename,onlyShowFriends=false).sts/>
<cfset friendsStats = application.stats.getStats(userSessionID=url.userSessionID,gamename=url.gamename,onlyShowFriends=true).sts/>

<cfset qToday = stats.tdy/>
<cfset qTodayFriends = friendsStats.tdy/>
<cfset qWeek = stats.wk/>
<cfset qWeekFriends = friendsStats.wk/>
<cfset qTotal = stats.ttl/>
<cfset qTotalFriends = friendsStats.ttl/>

<cfset statsList = "today,week,total"/>

<cfsavecontent variable="dataString">
<cfoutput>
    {
		<cfset listCounter = 1/>
		<cfloop list="#statsList#" index="statsType">		  
			<cfset qStatsQuery = evaluate("q#statsType#")/>
			<cfset qFriendsStatsQuery = evaluate("q#statsType#Friends")/>
			
			"#ucase(statsType)#" : {
		    "ALL" : [	      
		        <cfloop query="qStatsQuery">
					{
						"name" : "#qStatsQuery.usn#",
						"device" : "#qStatsQuery.device#",
				        "played" : #val(qStatsQuery.ply)#,
				        "losses" : #val(qStatsQuery.lost)#,
				        "draws" : #val(qStatsQuery.draw)#,
				        "wins" : #val(qStatsQuery.won)#,
				        "position" : <cfif qStatsQuery.self>#val(qStatsQuery.pos)#<cfelse>#qStatsQuery.currentrow#</cfif>,
				        "score" : #LSNumberFormat(round(val(qStatsQuery.scr)*10)/10,"9.9")#,
				        "self" : <cfif qStatsQuery.self>true<cfelse>false</cfif>
			        }<cfif currentrow NEQ recordcount>,</cfif>	      
		        </cfloop>			
		      ], 
		    "FRIENDS" : [
		     	<cfloop query="qFriendsStatsQuery">
					{
						"name" : "#qFriendsStatsQuery.usn#",
						"device" : "#qFriendsStatsQuery.device#",
				        "played" : #val(qFriendsStatsQuery.ply)#,
				        "losses" : #val(qFriendsStatsQuery.lost)#,
				        "draws" : #val(qFriendsStatsQuery.draw)#,
				        "wins" : #val(qFriendsStatsQuery.won)#,
				        "position" : <cfif qFriendsStatsQuery.self>#val(qFriendsStatsQuery.pos)#<cfelse>#qFriendsStatsQuery.currentrow#</cfif>,
				        "score" : #LSNumberFormat(round(val(qFriendsStatsQuery.scr)*10)/10,"9.9")#,
				        "self" : <cfif qFriendsStatsQuery.self>true<cfelse>false</cfif>
			        }<cfif currentrow NEQ recordcount>,</cfif>	    	      
		        </cfloop>	 
		      ]
		    }<cfif listCounter NEQ listLen(statsList)>,</cfif>
			<cfset listCounter++/>
		</cfloop>		
	  }
</cfoutput>
</cfsavecontent>

<!doctype HTML>
<html>
    <head>
        <script src="js/jquery-1.7.2rc1.js"></script>
		<script src="js/jquery.cookie.js"></script>
       
        <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
        <script>
		var data = <cfoutput>#dataString#</cfoutput>
        </script>
        

        <link href="css/rankings.css" rel="stylesheet">
        <title></title>
    </head>
    <body>
    	<cfoutput>        	
	
	        <ul id="tabs">
	            <li data-view="TODAY" id="tab_today">#application.labels.getLabel("today")#</li>
	            <li data-view="WEEK" id="tab_week">#application.labels.getLabel("week")#</li>
	            <li data-view="TOTAL" id="tab_total">#application.labels.getLabel("all_time")#</li>
	        </ul>
	
	        <div id="filter">
	            <label>
	                #application.labels.getLabel("filter_by")#: 
	                <select id="filter_people">
	                    <option value="FRIENDS">#application.labels.getLabel("friends")#</option>
	                    <option value="ALL">#application.labels.getLabel("all_people")#</option>
	                </select>
	            </label>
	
	            <label>
	                #application.labels.getLabel("show")#:
	                <select id="filter_score">
	                    <option value="score">#application.labels.getLabel("score")#</option>
	                    <option value="wins">#application.labels.getLabel("wins")#</option>
	                    <option value="losses">#application.labels.getLabel("losses")#</option>
	                    <option value="draws">#application.labels.getLabel("draws")#</option>
	                </select>
	            </label>
	        </div>	
        
			<div id="list_target"></div>
    
    
			<script src="js/rankings.js?rand=#randRange(100000,999999)#"></script>
		</cfoutput>
    </body>
</html>

